/* ======================== */
/* ==== All Pages ======*/
/* ======================== */
/* .page::before{
    position: absolute;
    content: '';
    width: 100%;
    background: url('https://test.rdvial.gob.do/wp-content/uploads/2023/02/03.jpg');
    background-size: cover;
    background-repeat: no-repeat;
} */

/* ======================== */
/* ==== All Services ======*/
/* ======================== */


/* .all-services > .contenedor-servicios{
    width: 70%;
    margin: 0 auto;
}
 */



/* Servicios */
.all-services > .capa{
    position: absolute;
    width: 100%;
    min-height: 16rem;
    /* background: url('http://cpp.gob.do/institucional/wp-content/uploads/sites/9/2023/07/03.jpg'), linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8)); */
    background-position: 100%, 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    z-index: -1;
}

.all-services > .items-container{
    position: relative;
    padding: 1rem;
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    background-color: #fff;
}

.all-services > .items-container > .items{
    padding: 1rem;
    border-radius: 0.2rem;
}
.all-services > .items-container > .items > .header-items{
    width: 90%;
}

.all-services > .items-container > .items > .cards{
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    width: 80%;
    margin: 0 auto;
}

.all-services > .items-container > .items > .cards > .card{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 25%;
    height: 16rem;
    margin: 1rem 1rem;
    border-radius: .2rem;
    box-shadow: 2px 2px 6px 0px rgba(27, 77, 171, 0.543);
    color: #000;
}

.all-services > .items-container > .items > .cards > .card > .card-imagen > .wp-post-image{
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border-color: #EE2A24;
    margin: 1rem 0;
    background-color: white;
}
.all-services > .items-container > .items > .cards > .card > .card-titulo{
    margin: 1rem 0;
    font-size: 1.5rem;
}
.all-services > .items-container > .items > .cards > .card > .card-contenido{
    margin: 1rem 0;
    padding-bottom: 1rem;
}
.all-services > .items-container > .items > .cards > .card > .card-enlace{
    position: absolute;
    display: inline-block;
    width: 100%;
    padding: .5rem;
    bottom: 0;
    background-color: #22356C;
}
.all-services > .items-container > .items > .cards > .card > a{
    color: #fff;
}

.all-services a {
    text-decoration: none;
    color: #EE2A24;
}

/* ================================= */
/* ======== All News Styles ========*/
/* ================================= */

.all-news{
    background-color: #fff;
}

.all-news > .capa{
    position: absolute;
    width: 100%;
    min-height: 16rem;
    background: url('https://rdvial.gob.do/wp-content/uploads/2023/10/03.jpg'), linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8));
    background-position: 100%, 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.all-news .items-container{
    position: relative;
    padding: 1rem;
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    background-color: #fff;
}

.all-news .items-container > .items{
    padding: 1rem;
    border-radius: 0.2rem;
}
.all-news .items-container > .items > .header-items{
    width: 90%;
}

.all-news .items-container > .items > .cards{
    display: flex;
    flex-flow: row wrap;
    justify-content: start;
    align-items: center;
    width: 100%;
    margin: 0 auto;
}

.all-news .items-container > .items > .cards > .card{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 28%;
    height: 16rem;
    margin: 1rem 1rem;
    border-radius: .2rem;
    box-shadow: 2px 2px 6px 0px rgba(27, 77, 171, 0.543);
    color: #000;
}

.all-news .items-container > .items > .cards > .card .thumbnail-contenedor{
    position: absolute;
    height: 100%;
    display: inline-block;
    left: 0;
    right: 0;
    text-decoration: none;
    color: #000;
}

.all-news .items-container > .items > .cards > .card .card-enlace{
    width: 100%;
}
.all-news .items-container > .items > .cards > .card .card-enlace > .card-titulo{
    position: absolute;
    width: 100%;
    padding: 1rem;
    left: 0;
    bottom: 0;
    font-size: .8rem;
    color: #fff;
    background-color: #003876;
}

.all-news .items-container > .items > .cards > .card .card-date{
    position: absolute;
    display: flex;
    justify-content: space-evenly;
    flex-direction: column;
    align-items: center;
    width: 2.5rem;
    height: 5rem;
    top: 0;
    right: 0;
    margin-right: 2rem;
    border-radius: 0 0 .2rem .2rem;
    font-size: 1.5rem;
    z-index: 999;
    background-color: #003876;
}
.all-news .items-container > .items > .cards > .card .card-date .day{
    color: #fff;
}
.all-news .items-container > .items > .cards > .card .card-date .month{
    color: #EE2A24;
}
.all-news .items-container > .items > .cards > .card .wp-post-image{
    width: 100%;
    height: 100%;
    object-fit: cover;
    margin: 0;
    border-radius: .2rem;
}

.items-container > .items >  .divisor{
    width: 100%;
    margin: 2rem auto; 
}

.page > .items-container > .items > .content > .contenedor-interes{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: .5rem;
    width: 100%;
}
.page > .items-container > .items > .content > .contenedor-interes > .card{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: .2rem;
}
.page > .items-container > .items > .content > .contenedor-interes > .card > .card-img{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 20rem;
}
.page > .items-container > .items > .content > .contenedor-interes > .card > .card-img > .wp-post-image{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: .2rem;
}

.page > .items-container > .items > .content > .contenedor-interes > .card > .card-title-container{
    position: absolute;
    width: 100%;
    text-align: center;
    padding: 2rem;
    bottom: 0;
    opacity: .6;
    font-size: .85rem;
    line-height: 1.3rem;
    color: white;
    background: black;
}
.page > .items-container > .items > .content > .contenedor-interes > .card > .card-data-container{
        display: flex;
        align-items: center;
        position: absolute;
        top: 0;
        bottom: 0;
        text-decoration: none;
        color: white;
        text-align: center;
        line-height: 2rem;
        background: black;
        opacity: .8;
        z-index: -1;
}
.page > .items-container > .items > .content > .contenedor-interes > .card > .card-data-container > p{
    position: relative;
    text-align: justify;
    line-height: 1.3rem;
    font-size: .8rem;
}

.page > .items-container > .items > .content > .contenedor-interes > .card:hover > .card-data-container{
    z-index: 999;
    padding: 1rem;
    animation: abajoArriba .5s ease-in-out;
}



/* ========================================================================= */
/* Si no es la página de interes o la de noticias, aplicamos estos estilos */
/* ========================================================================= */
.page > .capa{
    position: absolute;
    width: 100%;
    min-height: 16rem;
    background: url('https://rdvial.gob.do/wp-content/uploads/2023/10/03.jpg'), linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8));
    background-position: 100%, 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    z-index: -1;
}

.page > .items-container{
    position: relative;
    padding: 1rem;
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    background-color: #fff;
}

.page > .items-container > .items{
    padding: 1rem;
    border-radius: 0.2rem;
}
.page > .items-container > .items > .header-items{
    width: 100%;
}
.page > .items-container > .items > .header-items > .page-controls span{
    font-size: .7rem;
    cursor: pointer;
}
.page > .items-container > .items > .header-items > .page-controls span a{
    text-decoration: none;
    color: black;
}

/*Para contacto*/
.page > .items-container > .items > .content  .wp-block-column{
    border-radius: 0.4rem;
    padding: 1rem;
    display: flex;
    flex-flow: column;
    justify-content: start;
    box-shadow: 2px 2px 15px 0px #0000003d;
    background-color: #fff;
}
.page > .items-container > .items > .content  .wp-block-heading{
    margin: 1rem 0;
}


/* ========================================================================= */
/* Estilos a las single page */
/* ========================================================================= */
.single > .capa{
    position: absolute;
    width: 100%;
    min-height: 16rem;
    background: url('https://rdvial.gob.do/wp-content/uploads/2023/10/03.jpg'), linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8));
    background-position: 100%, 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    z-index: -1;
}

.single > .items-container{
    position: relative;
    padding: 1rem;
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    background-color: #fff;
}

.single > .items-container > .items{
    padding: 1rem;
    border-radius: 0.2rem;
}
.single > .items-container > .items > .header-items{
    width: 90%;
}

.single > .items-container > .items > .content{
    text-align: justify;
    line-height: 1.3rem;
}
.single > .items-container > .items > .content > p{
    margin: 1rem 0;
    line-height: 1.8rem;
}
.single > .items-container > .items > .content > ul{
    margin-left: 1rem;
}
.single > .items-container > .items > .content > ul > li{
    line-height: 1.8rem;
}
.single > .items-container > .items > .content > .single-post-thumbnail{
    width: 100%;
}
.single > .items-container > .items > .content > .single-post-thumbnail img{
    width: 100%;
    height: 30rem;
    object-fit: cover;
    border-radius: 0;
}


/* ================================= */
/* ======== Pagination Styles ========*/
/* ================================= */

.nav-links{
    display: flex;
    width: 80%;
    margin: 1rem auto;
}

.nav-links .page-numbers{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2rem;
    box-shadow: 0 0 .2rem 0 rgb(0, 0, 0, .5);
    border: 1px solid #ffffff5e;
    padding: 0.5rem 1.2rem;
    text-decoration: none;
    color: #22356C;
    cursor: pointer;
}

.nav-links .current{
    background-color: #EE2A24;
    color: #fff;
}

.nav-links .prev, .nav-links .next{
    border-radius: .2rem 0 0 .2rem;
}


/* =================================== */
/* ======== Single Page Style ========*/
/* =================================== */


/* =============================================== */
/* ===== Estilos formulario, contact form 7 ====== */
/* =============================================== */

form.wpcf7-form {
    margin: 1rem 0;
}

input.wpcf7-form-control, textarea.wpcf7-form-control{
    width: 100%;
    padding: 0.5rem;
    margin: 0.5rem 0;
    border-radius: 0.2rem;
    border-style: none;
    background: lightgrey;
}
input.wpcf7-form-control, textarea.wpcf7-form-control:focus{
    outline: none;
}

input.wpcf7-form-control.has-spinner.wpcf7-submit {
    border: none;
    width: 20%;
    padding: 1rem;
    border-radius: 0.2rem;
    font-size: 1rem;
    background-color: #22356C;
    color: white;
    transition: background-color .3s ease-in-out;
    cursor: pointer;
}
input.wpcf7-form-control.has-spinner.wpcf7-submit:hover {
    background-color: #EE2A24;
}


/* ==================================== */
/* ======= Search Page ================*/
/* ==================================== */
.search-page > .capa{
    position: absolute;
    width: 100%;
    min-height: 16rem;
    background: url('https://rdvial.gob.do/wp-content/uploads/2023/10/03.jpg'), linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8));
    background-position: 100%, 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    z-index: -1;
}

.search-page > .items-container{
    position: relative;
    padding: 1rem;
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    background-color: #fff;
}

.search-page > .items-container > .items{
    padding: 1rem;
    border-radius: 0.2rem;
}
.search-page > .items-container > .items > .header-items{
    width: 90%;
}
.search-page > .items-container > .items > .content{
    display: flex;
    flex-flow: row wrap;
}
.search-page > .items-container > .items > .content > .content-result{
    width: 20rem;
    margin: 1rem;
    padding: 1rem;
    box-shadow: 1px 1px 2px rgba(0,0,0,.5);
    border-radius: .2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.search-page > .items-container > .items > .content > .content-result > a{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
}
.search-page > .items-container > .items > .content > .content-result > a > button{
    width: 100%;
    padding: 0.5rem;
    margin: 0.5rem 0;
    border-style: none;
    border-radius: 0.2rem;
    font-size: 1.2rem;
    background: #002952;
    color: #fff;
    cursor: pointer;
}

@media  screen and (min-width: 100px) and (max-width: 768px){

    .all-news .items-container , .all-services .items-container{
        position: relative;
        width: 100%;
    }
    
    .all-news .items-container > .items, .all-services .items-container > .items{
        width: 100%;
        padding: 0;
    }
    .all-news .items-container > .items .header-items, .all-services .items-container > .items, .header-items{
        padding: 0;
    }
    .all-news .items-container > .items > .cards > .card{
        width: 100%;
    }
    
    .all-news .items-container > .items > .card, .all-services .items-container > .items > .card{
        width: 100%;
    }
    
    .items-container > .items >  .divisor{
        width: 100%;
    }

    .page > .items-container{
        width: 100%;
    }
    .single > .items-container{
        width: 100%;
      
    }
    .noticia{
        width: 90%;
   
    }

    input.wpcf7-form-control.has-spinner.wpcf7-submit{
        width: 100%;
    }

    /*================================================*/
    /*=====================Search page================*/
    /*================================================*/
    .search-page > .items-container {
        width: 100%;
    }



}